## swig3.0 3.0.12

=== Examples/lua/import/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
SWIGOPT    =
LIBS       =

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' lua_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='base' INTERFACE='base.i' lua_cpp
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='foo' INTERFACE='foo.i' lua_cpp
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='bar' INTERFACE='bar.i' lua_cpp
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='spam' INTERFACE='spam.i' lua_cpp

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' lua_clean

=== Examples/ocaml/stl/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
SRCS       =
TARGET     = example
INTERFACE  = example.i
PROGFILE   = runme.ml

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' TARGET='$(TARGET)' ocaml_run

build: static

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	PROGFILE='$(PROGFILE)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' \
	ocaml_static_cpp

director:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	PROGFILE='$(PROGFILE)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' \
	ocaml_static_cpp_director

dynamic:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	PROGFILE='$(PROGFILE)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' \
	ocaml_static_cpp

toplevel:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	PROGFILE='$(PROGFILE)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' \
	ocaml_static_cpp_toplevel

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' TARGET='$(TARGET)' ocaml_clean

=== Examples/php5/callback/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
CXXSRCS    = example.cxx
TARGET     = example
INTERFACE  = example.i
LIBS       = -lm
SWIGOPT    =

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' php5_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' $(SWIGLIB) CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' php5_cpp

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' php5_clean

=== Examples/php5/class/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
CXXSRCS    = example.cxx
TARGET     = example
INTERFACE  = example.i
LIBS       =
SWIGOPT    =

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' php5_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' \
	php5_cpp

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' php5_clean

=== Examples/ruby/import_template/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
SWIGOPT    =
LIBS       =

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' ruby_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='base' INTERFACE='base.i' ruby_cpp
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='foo' INTERFACE='foo.i' ruby_cpp
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='bar' INTERFACE='bar.i' ruby_cpp
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='spam' INTERFACE='spam.i' ruby_cpp

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' ruby_clean

=== Examples/tcl/import/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
SWIGOPT    =
LIBS       =

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' tcl_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='base' INTERFACE='base.i' tcl_cpp
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='foo' INTERFACE='foo.i' tcl_cpp
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='bar' INTERFACE='bar.i' tcl_cpp
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='spam' INTERFACE='spam.i' tcl_cpp


clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' tcl_clean

=== Examples/python/import_packages/split_modules/vanilla_split/Makefile ===
TOP        = ../../../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
SWIGOPT    = -outdir pkg1
LIBS       =

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' python_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='foo' INTERFACE='foo.i' python_cpp

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='foo' INTERFACE='foo.i' python_cpp_static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' TARGET='foo' python_clean
	cd pkg1 && $(MAKE) -f $(TOP)/../Makefile SRCDIR='$(SRCDIR)' TARGET='foo' python_clean

=== debian/changelog ===
swig3.0 (3.0.12-2.2ubuntu1) focal; urgency=medium

  * Build as swig3.0 to build subversion.
  * Build just the 3.0 packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Apr 2020 17:24:07 +0200

swig (3.0.12-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use PyObject_GC_UnTrack instead of the macro _PyObject_GC_UNTRACK,
    removed in Python 3.8. Closes: #942706.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Oct 2019 16:27:42 +0200

swig (3.0.12-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Hilko Bengen ]
  * Include all examples in the swig3.0-examples package (closes: #924487).

  [ Torsten Landschoff ]
  * Use CPPFLAGS for ccache build as well.

  [ Sébastien Villemot ]
  * octave5.patch: new patch, ensures Octave 5 compatibility (Closes: #941746).

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 07 Oct 2019 21:26:54 +0200

swig (3.0.12-2) unstable; urgency=low

  * tracker.d.o: Update Vcs-* control fields to point to the new repository on
    salsa.d.o.
  * Remove build dependencies that are only required for testing
    the build (closes: #752938).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 27 Jan 2019 19:57:54 +0100

swig (3.0.12-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * python-fix-function-cast-warnings.patch: Fix GCC8 warnings in generated
    Python code. (Closes: #897857)
  * python-fix-gcc8-strncpy-warning.patch: Fix more GCC8 warnings in generated
    Python code.
  * fix-gcc8-memset-warnings.patch: Fix GCC8 warnings in generated code for
    various languages.

 -- Olly Betts <olly@survex.com>  Fri, 10 Aug 2018 12:48:36 +1200

swig (3.0.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * octave4.4.patch: new patch (closes: #901504)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 17 Jun 2018 14:25:41 +0200

swig (3.0.12-1) unstable; urgency=medium

  * New upstream release 3.0.12 (closes: #863848).
    + Includes support for php 7 (closes: #851251).
    + Corrects generation of R wrappers (closes: #868748).

  * Drop patch add-Octave-4.2-support.patch now included upstream.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 05 Sep 2017 18:29:41 +0000

swig (3.0.11-1) experimental; urgency=low

  * New upstream release 3.0.11. 

 -- Torsten Landschoff <torsten@debian.org>  Mon, 04 Sep 2017 21:47:24 +0000

swig (3.0.10-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add octave 4.2 support. Closes: #868531, #736393

 -- Ole Streicher <olebole@debian.org>  Sun, 16 Jul 2017 21:06:41 +0200

swig (3.0.10-1.1) unstable; urgency=medium

  * Remove swig PHP support (again) as swig doesn't support PHP 7.0 yet
    (Closes: #821715)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Nov 2016 21:08:29 +0100

swig (3.0.10-1) unstable; urgency=medium

  * New upstream release 3.0.10.
  * Raised debhelper compat level to 9.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 19 Oct 2016 23:40:09 +0200

swig (3.0.9-1) unstable; urgency=medium

  * Merge upstream release 3.0.9.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 19 Oct 2016 23:23:12 +0200

swig (3.0.8-0) experimental; urgency=medium

  * New upstream release (closes: #811418).
  * Remove patch for #802906, applied upstream.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 09 Mar 2016 23:02:45 +0100

swig (3.0.7-2) unstable; urgency=medium

  * Reintroduce symlinks swig and ccache-swig for the default version of
    SWIG (closes: #803369).
  * debian/control: Change XS-Testsuite to Testsuite, hoping that this
    will make the package appear on ci.debian.net.
  * New patch debian/patches/ccache-rename.diff: Allows calling ccache-swig
    as ccache-swig or ccache-swig3.0 (closes: #786618).
    + Added autopkgtest tests to check if ccache-swig can be called via
      the symlink as well as via the versioned binary name.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 31 Oct 2015 00:50:22 +0100

swig (3.0.7-1) unstable; urgency=low

  * Mark binary packages as Multi-Arch: foreign (closes: #738513).
  * Build swig, swig-doc and swig-examples dependency packages here
    (moved from swig2.0 source package). 
  * Apply patch for Python 3.5 support by Matthias Klose, closes: #802906.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 28 Oct 2015 22:15:01 +0100

swig (3.0.7-0) experimental; urgency=low

  * Merge new upstream releases up to 3.0.7.

 -- Torsten Landschoff <torsten@debian.org>  Fri, 14 Aug 2015 06:39:31 +0200

swig (3.0.2-2) unstable; urgency=low

  * Introduced the first autopkgtest for SWIG, checking the bug #768280.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 15 Feb 2015 20:47:25 +0100

swig (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version: 3.9.3 -> 3.9.5 (lintian).
    Checked via upgrading-checklist.txt.gz from debian-policy package.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 03 Jul 2014 00:45:28 +0200

swig (3.0.0-1) unstable; urgency=low

  * Retarget to unstable.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 02 Jul 2014 06:57:08 +0200

swig (3.0.0-0) experimental; urgency=low

  * New upstream release 3.0.0 (closes: #739910).
  * debian/control: Change source name from swig2.0 back to swig.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 11 May 2014 16:48:37 +0200

swig2.0 (2.0.12-1) unstable; urgency=medium

  * New upstream release 2.0.12.
  * Build with Guile 2.0 (closes: #746016).
  * For some reason, GUILE_CFLAGS is set correctly again (closes: #701865).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 11 May 2014 01:24:34 +0200

swig2.0 (2.0.11-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with the default Ruby instead of hardcoding ruby1.9.1.
     (Closes: #745927)

 -- Christian Hofstaedtler <christian@hofstaedtler.name>  Sat, 26 Apr 2014 17:23:59 +0200

swig2.0 (2.0.11-1) unstable; urgency=low

  * Merge new upstream release 2.0.11 (closes: #727188).


=== debian/control ===
Source: swig3.0
Section: interpreters
Priority: optional
Maintainer: Torsten Landschoff <torsten@debian.org>
Standards-Version: 3.9.5
Vcs-Git: https://salsa.debian.org/debian/swig.git
Vcs-Browser: https://salsa.debian.org/debian/swig
Homepage: http://www.swig.org/
Testsuite: autopkgtest
Build-Depends: dpkg-dev (>= 1.16.1~),
               bison,
               debhelper (>= 7.0),
               dh-autoreconf,
               libpcre3-dev

Package: swig3.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Suggests: swig3.0-examples, swig3.0-doc
Description: Generate scripting interfaces to C/C++ code
 SWIG is a compiler that makes it easy to integrate C and C++ code
 with other languages including Perl, Tcl, Ruby, Python, Java, 
 Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
 .
 Swig takes a set of ANSI C/C++ declarations and generates an 
 interface for them to your favorite scripting language.

Package: swig3.0-examples
Architecture: all
Depends: swig3.0, ${misc:Depends}
Description: Examples for applications of SWIG
 Contains examples for applications of SWIG, a wrapper interface
 generator to integrate C code into scripting languages.

Package: swig3.0-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: HTML documentation for SWIG
 Contains the users' and developers' manuals for SWIG (Simplified 
 Wrapper Interface Generator) 2.0 in HTML format.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Support building from Subversion repository
export DH_ALWAYS_EXCLUDE=.svn

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# XXX: patch to pike detection submitted upstream, need to adapt
# configure args
MAKEOPTS =
CONFIGURE_ARGS := \
	--prefix=/usr --mandir=/usr/share/man	\
	--with-swiglibdir=/usr/share/swig3.0		\
    --program-suffix=3.0

DEB_TARGET_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
NO_PACKAGES :=

configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	dh_autoreconf ./autogen.sh
	mkdir -p builddir
	cd builddir && ../configure $(CONFIGURE_ARGS)
	touch configure-stamp

build: build-indep build-arch

build-indep:	build-stamp
build-arch:	build-stamp

build-stamp: configure-stamp
	dh_testdir
	cd builddir && $(MAKE) $(MAKEOPTS)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp install-stamp
	rm -rf builddir
	dh_autoreconf_clean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cd builddir && $(MAKE) $(MAKEOPTS) DESTDIR=$(CURDIR)/debian/swig3.0 install

	touch install-stamp

# Build architecture-independent files here.
# We don't need a dependency on build or install since these are the plain
# documentation files as included in the distribution.
binary-indep:	
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i
	dh_installdocs -i
	dh_installexamples -i
	cd debian/swig3.0-examples/usr/share/doc/swig3.0-examples && mv examples/* . && rmdir examples
	cp debian/swig3.0-examples.override debian/swig3.0-examples/usr/share/lintian/overrides/swig3.0-examples
	perl -pi -e 's,^SWIG.*=.*$$,SWIG      = swig,' \
		`find debian/swig3.0-examples/usr/share/doc/swig3.0-examples -name Makefile`
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a $(NO_PACKAGES_ARGS) README
	dh_installexamples -a $(NO_PACKAGES_ARGS)
	dh_installmenu -a $(NO_PACKAGES_ARGS)
#	dh_installemacsen -a $(NO_PACKAGES_ARGS)
#	dh_installinit -a $(NO_PACKAGES_ARGS)
	dh_installcron -a $(NO_PACKAGES_ARGS)
	dh_installman -p swig3.0 debian/swig3.0.1
	dh_install -a --sourcedir=$(CURDIR)
#	dh_undocumented
	dh_installchangelogs -a -Nswig3.0 $(NO_PACKAGES_ARGS) CHANGES
	dh_installchangelogs -pswig3.0 $(NO_PACKAGES_ARGS)
	dh_compress -a $(NO_PACKAGES_ARGS) -X.pdf
	dh_link -a $(NO_PACKAGES_ARGS)
	dh_strip -a $(NO_PACKAGES_ARGS)
	dh_fixperms -a $(NO_PACKAGES_ARGS)
	dh_makeshlibs -a $(NO_PACKAGES_ARGS)
	dh_installdeb -a $(NO_PACKAGES_ARGS)
	dh_shlibdeps -a $(NO_PACKAGES_ARGS)
	dh_gencontrol -a $(NO_PACKAGES_ARGS)
	dh_md5sums -a $(NO_PACKAGES_ARGS)
	dh_builddeb -a $(NO_PACKAGES_ARGS)

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
